[zeromq-dev] Android support in 2.1 master

Martin Sustrik sustrik at 250bpm.com
Thu Aug 11 10:05:56 CEST 2011


IIRC, configure should produce an error saying: such and such platform
not supported. Take the platform name as reported and create a new
section in configure.in, check the sections for other platforms and do
something similar. One of the commands there IIRC is to define
appropriate ZMQ_HAVE_* macro.

Martin

On 10/8/2011, "Pieter Hintjens" <ph at imatix.com> wrote:

>Hi all,
>
>I've committed a full build environment for Android, extending the
>work done by Ghislain Putois on http://www.zeromq.org/distro:android.
>These changes were done by Bill Roberts.
>
>The Android build patches are on 2.1 master now, I'll port them to 2.2
>and 3.0 as well.
>
>There are a few code patches to handle functions that Android doesn't
>support. Mikko, I've no idea how to get a ZMQ_HAVE_ANDROID macro
>defined, so it's using __ANDROID__ for now.
>
>-Pieter
>_______________________________________________
>zeromq-dev mailing list
>zeromq-dev at lists.zeromq.org
>http://lists.zeromq.org/mailman/listinfo/zeromq-dev



More information about the zeromq-dev mailing list